import { IMTBLWidgetEvents, SwapWidgetParams, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class Swap extends Base<WidgetType.SWAP> {
    protected eventTopic: IMTBLWidgetEvents;
    protected getValidatedProperties({ config }: WidgetProperties<WidgetType.SWAP>): WidgetProperties<WidgetType.SWAP>;
    protected getValidatedParameters(params: SwapWidgetParams): SwapWidgetParams;
    protected render(): void;
}
